<html ng-app="PhoneCatApp">
<head>
    <meta charset="UTF-8">
    <title>Templates Lesson 1 || Angular Training</title>

    <!-- Put Some Style Dude -->
    <link rel="stylesheet" href="https://cdnjs.cloudflare.com/ajax/libs/bulma/0.6.1/css/bulma.min.css" />
    <style>
      [ng-cloak] {
        display: none;
      }
    </style>
</head>
<body class="section">

    <!-- Angular Template -->
    <div ng-controller="PhoneListController" class="box content is-primary" ng-cloak>

        <div class="card" ng-repeat="phone in phones">
          <div class="card-content">
            <a class="button is-danger is-small is-pulled-right" ng-click="remove(phone)">X</a>

            <p class="title is-5">
              “{{ phone.snippet }}”
            </p>
            <p class="subtitle is-6">
              - {{ phone.name }}
            </p>
          </div>
        </div>

        <hr>

        <p>Total number of phones: <b>{{ phoneCount() }}</b></p>

        <hr>

        <!-- Simple Add New Phone Form -->
        <div class="form">
          <!-- Phone Name -->
          <div class="field">
            <label class="label">Phone Name</label>
            <input type="text" class="input" required ng-model="newPhone.name">
          </div>

          <!-- Phone Snippet -->
          <div class="field">
            <label class="label">Phone Snippet</label>
            <input type="text" class="input" required ng-model="newPhone.snippet">
          </div>

          <!-- Actions -->
          <button class="button is-primary" ng-click="add()">Add New Phone</button>
        </div>
    </div>

    <script src="http://code.angularjs.org/snapshot/angular.js"></script>
    <script src="js/app-1.js"></script>
</body>
</html>
